## org.apache.mahout.cf.taste.similarity.precompute
Class SimilarItem

    java.lang.Object
      org.apache.mahout.cf.taste.similarity.precompute.SimilarItem

    public class SimilarItem

extends Object

Modeling similarity towards another item

Field Summary
`static Comparator<SimilarItem>` `COMPARE_BY_SIMILARITY`

Constructor Summary
`SimilarItem(long itemID, double similarity)`

Method Summary
`long` `getItemID()`
`double` `getSimilarity()`
`void` `set(long itemID, double similarity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPARE_BY_SIMILARITY

    public static final Comparator<SimilarItem> COMPARE_BY_SIMILARITY

Constructor Detail

### SimilarItem

    public SimilarItem(long itemID,
                       double similarity)

Method Detail

### set

    public void set(long itemID,
                    double similarity)

### getItemID

    public long getItemID()

### getSimilarity

    public double getSimilarity()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.